View Issue Details

IDProjectCategoryView StatusLast Update
0007501VALENTINA STUDIOTool - Data Transferpublic2016-03-16 11:21
ReporterSergio Zordan Assigned Toyuriy_velichko  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformIntelOSWindowsOS Version10
Product Version6.2.x 
Target Version6.4.xFixed in Version6.4.x 
Summary0007501: Tool - Data Transfer
DescriptionWhen you choose source and destination databases for Data Transfer, the lists of tables are not sorted by name, so it's very difficult to select the tables without using the search function.

(please add all the menus to category in bug tracker and also the 6.3 version of Valentina Studio on product version)
TagsNo tags attached.
Working with DB:postgreSQL Server
Version of your DB9.4

Activities

yuriy_velichko

yuriy_velichko

2016-02-22 17:46

reporter   ~0008821

fix will available in version 6.3.3
Sergio Zordan

Sergio Zordan

2016-03-11 10:36

reporter   ~0008862

Now the table list is ordered in the right way, but when you map the fields, the destination fields list is non sorted.
yuriy_velichko

yuriy_velichko

2016-03-11 11:10

reporter   ~0008863

The sort order of source and destination fields is matched to preference settings
Preferences -> Schema Editor -> Sort Fields
Is it right? Or you mean that sort order in the destination list is differ than in the source list?
Sergio Zordan

Sergio Zordan

2016-03-11 11:23

reporter   ~0008865

When you right click on a field and choose map field, the list of destination fields is not ordered in alphabetical way (like the source field list is), so choosing a field from a lenghty list is very problematic, because you have to read all the names and you can't go directly on the one you wants. For example:
source fields
-------------
cd_a
cd_b
cd_c
ds_a
ds_b
....
xx_a
xx_b

--> right click on a source field to map with destination field, the list is
cd_a
xx_b
ds_a
ds_b
cd_b
and so on... not so pratical
yuriy_velichko

yuriy_velichko

2016-03-11 12:38

reporter   ~0008867

The sort order in the menu will be the same as for list in the tree.
Fix will be available in version 6.3.6

Issue History

Date Modified Username Field Change
2016-02-19 10:04 Sergio Zordan New Issue
2016-02-19 10:26 yuriy_velichko Assigned To => yuriy_velichko
2016-02-19 10:26 yuriy_velichko Status new => confirmed
2016-02-19 10:26 yuriy_velichko Target Version => 6.3.x
2016-02-19 12:59 yuriy_velichko Category Tool - SQL DIFF => Tool - Data Transfer
2016-02-22 17:46 yuriy_velichko Note Added: 0008821
2016-02-22 17:46 yuriy_velichko Status confirmed => resolved
2016-02-22 17:46 yuriy_velichko Fixed in Version => 6.3.x
2016-02-22 17:46 yuriy_velichko Resolution open => fixed
2016-03-11 10:36 Sergio Zordan Note Added: 0008862
2016-03-11 10:36 Sergio Zordan Status resolved => feedback
2016-03-11 10:36 Sergio Zordan Resolution fixed => reopened
2016-03-11 11:10 yuriy_velichko Note Added: 0008863
2016-03-11 11:23 Sergio Zordan Note Added: 0008865
2016-03-11 11:23 Sergio Zordan Status feedback => assigned
2016-03-11 12:38 yuriy_velichko Note Added: 0008867
2016-03-11 12:38 yuriy_velichko Status assigned => resolved
2016-03-11 12:38 yuriy_velichko Resolution reopened => fixed
2016-03-16 11:21 Ruslan Zasukhin Target Version 6.3.x => 6.4.x
2016-03-16 11:21 Ruslan Zasukhin Fixed in Version 6.3.x => 6.4.x